curl -X POST "https://api.danubeai.com/v1/ratings" \
-H "danube-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tool_id": "tool_abc123",
"rating": 5,
"comment": "Works great, fast and reliable"
}'
from danube import DanubeClient
with DanubeClient(api_key="YOUR_API_KEY") as client:
result = client.ratings.submit(
tool_id="tool_abc123",
rating=5,
comment="Works great, fast and reliable",
)
import { DanubeClient } from 'danube';
const client = new DanubeClient({ apiKey: 'YOUR_API_KEY' });
const result = await client.ratings.submit('tool_abc123', 5, 'Works great, fast and reliable');
{
"tool_id": "tool_abc123",
"rating": 5,
"comment": "Works great, fast and reliable",
"created_at": "2026-02-24T12:00:00Z"
}
Ratings
Submit Rating
Submit or update a tool rating
POST
/
v1
/
ratings
curl -X POST "https://api.danubeai.com/v1/ratings" \
-H "danube-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tool_id": "tool_abc123",
"rating": 5,
"comment": "Works great, fast and reliable"
}'
from danube import DanubeClient
with DanubeClient(api_key="YOUR_API_KEY") as client:
result = client.ratings.submit(
tool_id="tool_abc123",
rating=5,
comment="Works great, fast and reliable",
)
import { DanubeClient } from 'danube';
const client = new DanubeClient({ apiKey: 'YOUR_API_KEY' });
const result = await client.ratings.submit('tool_abc123', 5, 'Works great, fast and reliable');
{
"tool_id": "tool_abc123",
"rating": 5,
"comment": "Works great, fast and reliable",
"created_at": "2026-02-24T12:00:00Z"
}
Overview
Submit a star rating (1-5) for a tool with an optional comment. If you’ve already rated this tool, your existing rating is updated. Auth: Requires authentication (JWT or API key).Body Parameters
string
required
The UUID of the tool to rate
integer
required
Rating from 1 to 5
string
default:""
Optional text comment about the tool
Response
string
The rated tool UUID
integer
The submitted rating (1-5)
string
The submitted comment
string
ISO 8601 timestamp
Example
curl -X POST "https://api.danubeai.com/v1/ratings" \
-H "danube-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tool_id": "tool_abc123",
"rating": 5,
"comment": "Works great, fast and reliable"
}'
from danube import DanubeClient
with DanubeClient(api_key="YOUR_API_KEY") as client:
result = client.ratings.submit(
tool_id="tool_abc123",
rating=5,
comment="Works great, fast and reliable",
)
import { DanubeClient } from 'danube';
const client = new DanubeClient({ apiKey: 'YOUR_API_KEY' });
const result = await client.ratings.submit('tool_abc123', 5, 'Works great, fast and reliable');
{
"tool_id": "tool_abc123",
"rating": 5,
"comment": "Works great, fast and reliable",
"created_at": "2026-02-24T12:00:00Z"
}
MCP Tool
This endpoint is also available as thesubmit_rating MCP tool:
result = await mcp.call_tool("submit_rating", {
"tool_id": "tool_abc123",
"rating": 5,
"comment": "Works great"
})
